#!/usr/bin/env node
const { spawn } = require('child_process');

function runScript(scriptName) {
  const npmCommand = process.platform === 'win32' ? 'npm.cmd' : 'npm';
  const child = spawn(npmCommand, ['run', scriptName], { stdio: 'inherit' });

  child.on('close', (code) => {
    if (code !== 0) {
      console.error(`Script "${scriptName}" exited with code ${code}`);
      process.exit(code);
    }
  });
}

runScript('build');
runScript('start');
